# Class XmrBalanceInfo

#### Hierarchy

- unknown
  - XmrBalanceInfo

- Defined in src/protobuf/grpc_pb.d.ts:3638
- Defined in src/protobuf/grpc_pb.d.ts:3662

#####
Index

### Constructors

constructor

### Methods

getAvailableBalance
getBalance
getPendingBalance
getReservedOfferBalance
getReservedTradeBalance
serializeBinary
setAvailableBalance
setBalance
setPendingBalance
setReservedOfferBalance
setReservedTradeBalance
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new XmrBalanceInfo(): XmrBalanceInfo

- #### Returns XmrBalanceInfo

  Inherited from jspb.Message.constructor

## Methods

### getAvailableBalance

- getAvailableBalance(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:3642

### getBalance

- getBalance(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:3639

### getPendingBalance

- getPendingBalance(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:3645

### getReservedOfferBalance

- getReservedOfferBalance(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:3648

### getReservedTradeBalance

- getReservedTradeBalance(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:3651

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:3654

### setAvailableBalance

- setAvailableBalance(value: string): XmrBalanceInfo

- #### Parameters

  - ##### value: string

  #### Returns XmrBalanceInfo

  - Defined in src/protobuf/grpc_pb.d.ts:3643

### setBalance

- setBalance(value: string): XmrBalanceInfo

- #### Parameters

  - ##### value: string

  #### Returns XmrBalanceInfo

  - Defined in src/protobuf/grpc_pb.d.ts:3640

### setPendingBalance

- setPendingBalance(value: string): XmrBalanceInfo

- #### Parameters

  - ##### value: string

  #### Returns XmrBalanceInfo

  - Defined in src/protobuf/grpc_pb.d.ts:3646

### setReservedOfferBalance

- setReservedOfferBalance(value: string): XmrBalanceInfo

- #### Parameters

  - ##### value: string

  #### Returns XmrBalanceInfo

  - Defined in src/protobuf/grpc_pb.d.ts:3649

### setReservedTradeBalance

- setReservedTradeBalance(value: string): XmrBalanceInfo

- #### Parameters

  - ##### value: string

  #### Returns XmrBalanceInfo

  - Defined in src/protobuf/grpc_pb.d.ts:3652

### toObject

- toObject(includeInstance?: boolean): XmrBalanceInfo.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns XmrBalanceInfo.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3655

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): XmrBalanceInfo

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns XmrBalanceInfo

  - Defined in src/protobuf/grpc_pb.d.ts:3658

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: XmrBalanceInfo, reader: BinaryReader): XmrBalanceInfo

- #### Parameters

  - ##### message: XmrBalanceInfo

  - ##### reader: BinaryReader

  #### Returns XmrBalanceInfo

  - Defined in src/protobuf/grpc_pb.d.ts:3659

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: XmrBalanceInfo, writer: BinaryWriter): void

- #### Parameters

  - ##### message: XmrBalanceInfo

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:3657

### `Static` toObject

- toObject(includeInstance: boolean, msg: XmrBalanceInfo): XmrBalanceInfo.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: XmrBalanceInfo

  #### Returns XmrBalanceInfo.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3656

Generated using TypeDoc